import 'package:dartson/dartson.dart';
import 'package:travis_dart/models/standard_model.dart';
import 'job.dart';
import 'owner.dart';
import "repository.dart";
import "branch.dart";
import "commit.dart";
import 'stage.dart';

@Entity()
class Build extends StandardModel {
  int id;
  String number;
  String state;
  int duration;
  @Property(name: "event_type")
  String eventType;
  @Property(name: "previous_state")
  String previousState;
  @Property(name: "pull_request_title")
  String pullRequestTitle;
  @Property(name: "pull_request_number")
  String pullRequestNumber;
  @Property(name: "started_at")
  String startedAt;
  @Property(name: "finished_at")
  String finishedAt;
  Repository repository;
  Branch branch;
  //tag
  Commit commit;
  List<Job> jobs;
  List<Stage> stages;
  @Property(name: "created_by")
  Owner createdBy;
  //updated_at
  //request
}

@Entity()
class Builds extends StandardModel {
  List<Build> builds;
}