import 'package:dartson/dartson.dart';
import 'package:travis_dart/models/standard_model.dart';

@Entity()
class Errors extends StandardModel {
  Map<String, Error> errors;
  @Property(name: "error_type")
  String errorType;
  @Property(name: "error_message")
  String errorMessage;
  @Property(name: "resource_type")
  String resourceType;
}

@Entity()
class Error {
  int status;
  @Property(name: "default_message")
  String defaultMessage;
  @Property(name: "additional_attributes")
  List<String> additionalAttributes;
}