import 'package:dartson/dartson.dart';
import 'package:travis_dart/models/standard_model.dart';
import "build.dart";
import 'commit.dart';
import "repository.dart";
import "owner.dart";
import "stage.dart";

@Entity()
class Job extends StandardModel {
  int id;
  //allow_failure
  String number;
  String state;
  @Property(name: "started_at")
  String startedAt;
  @Property(name: "finished_at")
  String finishedAt;
  Build build;
  String queue;
  Repository repository;
  Commit commit;
  Owner owner;
  List<Stage> stage;
  @Property(name: "created_at")
  String createdAt;
  @Property(name: "updated_at")
  String updatedAt;
}
