import 'package:dartson/dartson.dart';
import 'package:travis_dart/models/standard_model.dart';

@Entity()
class Organization extends StandardModel {
  int id;
  String login;
  String name;
  @Property(name: "github_id")
  int githubId;
  @Property(name: "avatar_url")
  String avatarUrl;
  bool education;
}

@Entity()
class Organizations extends StandardModel {
  List<Organization> organizations;
}