import 'package:dartson/dartson.dart';
import 'package:travis_dart/models/standard_model.dart';
import "owner.dart";
import "branch.dart";

@Entity()
class Repository extends StandardModel {
  int id;
  String name;
  String slug;
  String description;
  @Property(name: "github_id")
  String githubId;
  @Property(name: "github_language")
  String githubLanguage;
  @Property(name: "active")
  bool isActive;
  @Property(name: "private")
  bool isPrivate;
  Owner owner;
  @Property(name: "default_branch")
  Branch defaultBranch;
  @Property(name: "starred")
  bool isStarred;
  //managed_by_installation
  //activbe_on_org
}

@Entity()
class Repositories extends StandardModel {
  List<Repository> repositories;
}