import 'package:dartson/dartson.dart';
import 'package:travis_dart/models/standard_model.dart';

@Entity()
class User extends StandardModel {
  int id;
  String login;
  String name;
  @Property(name: "github_id")
  int githubId;
  @Property(name: "avatar_url")
  String avatarUrl;
  @Property(name: "education")
  bool hasEducation;
  @Property(name: "is_syncing")
  bool isSyncing;
  @Property(name: "synced_at")
  String syncedAt;
}